# std::match_results::size

From cppreference.com
< cpp‎ | regex‎ | match results

size_type size() const; |  | (since C++11)

Returns the number of submatches, i.e. std::distance(begin(), end()).

Returns `0` if `*this` does not represent the result of a successful match.

### Parameters

(none)

### Return value

The number of submatches

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <regex>
    #include <string>

    int main()
    {
        std::regex re("a(a)*b");
        std::string target("aaab");
        std::smatch sm;

        std::cout << sm.size() << '\n';

        std::regex_match(target, sm, re);
        std::cout << sm.size() << '\n';
    }

Output:

    0
    2

### See also

begin cbegin | returns iterator to the beginning of the list of sub-matches (public member function)
end cend | returns iterator to the end of the list of sub-matches (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/size&oldid=91529"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template